#datepickerModal .modal-body {
  margin: 0;
}

.table-va-middle td {
  vertical-align: middle;
}

.shopOrChainAnalyzeStockBreakModal .modal-body, .shopOrChainAnalyzeShareOfShelfModal .modal-body, .pedroModal .modal-body {
  overflow-y: visible;
}

.form-control.readonlyInput {
  background-color: #e9ecef;
}

.noFocus:focus {
  box-shadow: none;
}

.vertical-align-super {
  vertical-align: super;
}

.stockBreakTableLabel::before {
  top: -14px !important;
}

.stockBreakTableLabel::after {
  top: -10px !important;
}

.eachProductToOffer {
  background-color: #f9f9f9;
  padding: 15px 15px;
  border-radius: 5px;
  margin-top: 20px;
}

.va-middle {
  vertical-align: middle;
}

.pb-10px {
  padding-bottom: 10px;
}

.mb-1rem {
  margin-bottom: 1rem;
}

.font-size-08rem {
  font-size: 0.8rem;
}

.doneTask {
  text-decoration: line-through;
  color: darkgray;
}

#calendarIconDynamic {
  width: 70px;
  height: 32px;
  background-color: #ffffff;
  border-radius: 10px;
  position: relative;
}
#calendarIconDynamic:before {
  content: "";
  display: block;
  width: 70px;
  height: 64px;
  border-radius: 3px;
  background-color: #fff;
  border: 1px solid #444c55;
}
#calendarIconDynamic header {
  width: 70px;
  height: 27px;
  position: absolute;
  top: 0px;
  background-color: #444c55;
  border-radius: 3px 3px 0 0;
  font: 400 12px/27px Arial, Helvetica, Geneva, sans-serif;
  letter-spacing: 0.5px;
  color: #fff;
  text-align: center;
}
#calendarIconDynamic p {
  width: 70px;
  height: 35px;
  position: absolute;
  top: 28px;
  font: 400 25px/35px Nunito;
  letter-spacing: -2px;
  color: #343a40;
  text-align: center;
  z-index: 10;
}
#calendarIconDynamic p span {
  font-size: 10px;
}

.shareOfShelfReportCard {
  box-shadow: none;
  border: 1px solid #38414a;
  background-color: #ffffff;
}

.pagination.pagination-rounded {
  max-width: 100%;
}

#shopsTable_wrapper, #bannersTable_wrapper, #categoryTable_wrapper {
  width: 100%;
}

#shopOrChainFilterModal .modal-body {
  overflow-y: visible;
}

.visibility-hidden {
  visibility: hidden;
}

.cursor-pointer {
  cursor: pointer;
}

.adminDashboardDropdownToggle {
  padding: 0;
  background-color: transparent;
  border: 0;
}

.w-fit {
  width: -moz-fit-content;
  width: fit-content;
}

.shareOfShelfProgressBar {
  height: 15px;
}

.enlarged .left-side-menu #sidebar-menu > ul > li:hover > a {
  width: 320px;
}

.enlarged .left-side-menu #sidebar-menu > ul > li:hover > ul {
  width: 250px;
}

.spacesWrapperDiv {
  background-color: #eff1f3;
  position: relative;
  border-radius: 3px;
}

.fade-enter-active, .fade-leave-active {
  transition: opacity 0.5s;
}

.fade-enter, .fade-leave-to {
  opacity: 0;
}

.line-height-normal {
  line-height: normal;
}

img {
  max-width: 100%;
}

#croppedPicContainer {
  max-width: 100%;
  max-height: 50vh;
}
#croppedPicContainer canvas {
  max-width: 100%;
  max-height: 50vh;
  margin: 0 auto;
  display: block;
}

#profileImageToCrop {
  max-width: 100%;
  max-height: 50vh;
  margin: 0 auto;
  display: block;
}

.myProfilePictureEditIcon {
  position: absolute;
  bottom: 0;
  right: -15;
}

#pictureModalDropzone {
  cursor: pointer;
}

.font-weight-400 {
  font-weight: 400;
}

.font-weight-500 {
  font-weight: 500;
}

.removeEachSpaceSpan {
  color: #fff;
  background-color: #dd4b39;
  padding: 5px !important;
  margin-left: 15px;
  line-height: 0.5;
  cursor: pointer;
  position: absolute;
  top: 10px;
  right: 10px;
}
.removeEachSpaceSpan:hover {
  color: #fff;
}

.toast.missingFieldsToastrMessage {
  background-color: #f7b84b;
  opacity: 1;
  margin-top: 75px;
  box-shadow: none;
}
.toast.missingFieldsToastrMessage:hover {
  box-shadow: none;
}

.shareOfShelfProgressBarContainer {
  display: grid;
  align-items: center;
}

.newVisitButton {
  border-left: 1px solid #555b60;
}

.eachReportWrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.text-lightGrey {
  color: #f5f6f8;
}

.eachShopTaskStatus {
  position: absolute;
}

.timerCountWrapper {
  align-items: center;
  justify-content: flex-end;
}

.font-12 {
  font-size: 12px;
}

.text-bronze {
  color: #c98959;
}

.shopShowTopAddress {
  position: relative;
  top: -15px;
}

.space-between {
  display: flex;
  justify-content: space-between;
}

.align-webkit-middle {
  vertical-align: -webkit-baseline-middle;
}

.stockBreakPriceInput {
  width: 80px;
  text-align: center;
  margin: 0 auto;
}
.stockBreakPriceInput::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.stockBreakPriceInput::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#vue-visits-route article {
  position: relative;
}
#vue-visits-route .wrapper {
  margin: 0 auto;
  padding: 0 0px 50px 100px;
  width: 100%;
}
#vue-visits-route .eachTaskWrapper {
  background-color: white;
  padding: 10px 15px;
  border-radius: 5px;
  margin-bottom: 25px;
  border-left: 5px solid;
}

.text-light-grey {
  color: #ced4da;
}

body.authentication-bg {
  background-color: #323a46;
  background-image: none;
}

.timeline::before {
  display: none;
}
.timeline__nav {
  position: fixed;
  z-index: 0;
  top: 0;
  transition: top 0.3s ease-out;
}
.timeline__nav ul {
  list-style: none;
  list-style-position: inside;
  margin: 25px 0;
  padding-left: 20px;
}
.timeline__nav ul li {
  margin: 15px 0;
  padding-left: 0;
  list-style-type: none;
  color: #bfc1c3;
  border-bottom: 1px dotted rgba(0, 0, 0, 0.3);
  cursor: pointer;
  transition: all 0.3s ease-out;
}
.timeline__nav ul li.active {
  border-bottom: 1px dotted transparent;
  transform: scale(1);
}
.timeline__nav ul li:hover {
  color: #000;
}

.unstyledBtn {
  -webkit-appearance: none;
  box-shadow: none;
  border: 0;
  background-color: transparent;
}

.dataTableP {
  max-height: 24px;
  overflow: hidden;
  transition: 0.75s ease-out;
  word-break: break-word;
}
.dataTableP.open {
  max-height: 1000px;
}

.border-ddd {
  border: 1px solid #ddd;
}

.navbar-custom .button-menu-mobile {
  width: 55px;
}

.stopBtn {
  line-height: 1;
  padding-left: 10px;
  padding-right: 10px;
}

.playPauseBtn {
  line-height: 1.4;
}

.dripicons-to-do.noti-icon {
  vertical-align: baseline;
  position: relative;
}
.dripicons-to-do.noti-icon span {
  display: block;
  width: 15px;
  height: 15px;
  background-color: #f1556c;
  color: white;
  position: absolute;
  top: -2px;
  right: -5px;
  text-align: center;
  border-radius: 50%;
  line-height: 15px;
  font-weight: bold;
  font-size: 11px;
  font-style: normal;
}
.dripicons-to-do.noti-icon::before {
  vertical-align: middle;
}

.grid-center {
  display: grid;
  align-items: center;
  justify-items: center;
}

.routeRightButtons {
  width: -moz-fit-content;
  width: fit-content;
  margin-left: auto;
}

.each-routes-hour {
  font-size: 35px;
}

.myAcordeon .myAcordeonHeader {
  background-color: #f1f5f7;
  padding: 0.75rem 1rem;
}
.myAcordeon .myAcordeonBody {
  background-color: #fdfdfd;
}

.eachReportBtnLabel {
  margin: 0;
}

.eachReportBtnLabelText {
  display: none;
}

.eachReportBtnRealBtn {
  background-color: transparent;
  border: 0;
}
.eachReportBtnRealBtn:hover {
  background-color: transparent;
  border: 0;
  box-shadow: none;
}
.eachReportBtnRealBtn:focus {
  background-color: transparent;
  border: 0;
  box-shadow: none;
}
.eachReportBtnRealBtn:active {
  background-color: transparent;
  border: 0;
  box-shadow: none;
}
.eachReportBtnRealBtn:not(:disabled):not(.disabled):active:focus {
  background-color: transparent;
  border: 0;
  box-shadow: none;
}

.rrrabbitRight {
  position: absolute;
  left: -267px;
}

@media (max-width: 992px) {
  .currentVisitRowWrapper {
    flex-direction: column-reverse;
  }

  .eachReportBtnWrapper {
    position: absolute;
    bottom: 1px;
    left: -44px;
  }
  .eachReportBtnWrapper.eachReportBtnWrapperActivity {
    left: -104px;
  }

  .eachReportLabelDone {
    left: -180px;
  }

  .eachReportPauseBtnWrapper {
    position: absolute;
    bottom: 1px;
    left: -24px;
  }
}
@media (max-width: 767px) {
  .each-routes-hour {
    font-size: 0.955rem;
  }

  .rowReverse-md {
    flex-direction: column-reverse;
  }

  #vue-visits-route .wrapper {
    margin: 0 auto;
    padding: 0 0px 50px 0px;
    width: 100%;
  }

  .timeline__nav {
    display: none;
  }
}
@media (max-width: 575px) {
  .border-0-mobile {
    border: 0 !important;
  }

  .eachReportLabelDone {
    display: none;
  }

  .rrrabbitRight {
    position: absolute;
    right: -17px;
    left: unset;
    z-index: -1;
  }

  .loginCardDiv {
    background-color: rgba(255, 255, 255, 0.9);
  }
}
